name: Jessica Salcido
start_date: 2021-05-10
locality: Oak View, CA
country: United States
role: <a href="/job-families/finance/finance-systems-administrator/">Finance Systems Administrator</a>
reports_to: christophernelson
picture: jessicasalcido.jpg
pronouns: she/her
pronunciation:
twitter:
linkedin:
gitlab: jesssalcido
departments:
  - Business Technology
specialty: 
expertise: Internal business systems
story: 'Jessica enjoys optimizing internal business and financial systems to make work easier for everyone. Outside of work, she spends time surfing, kitesurfing, hiking with her crazy Australian Shepherd dog, and traveling. '

